Debian Bug report logs - #367374
..pre-removal script assumes hyperestraier runs, and fails, stalling update.

version graph

Package: hyperestraier; Maintainer for hyperestraier is KURASHIKI Satoru <lurdan@gmail.com>; Source for hyperestraier is src:hyperestraier.

Reported by: Arnt Karlsen <arnt@c2i.net>

Date: Mon, 15 May 2006 14:48:02 UTC

Severity: serious

Found in versions hyperestraier/1.2.3-1, 1.0.6-1

Fixed in version 1.4.2-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367374; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Arnt Karlsen <arnt@c2i.net>:
New Bug report received and forwarded. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arnt Karlsen <arnt@c2i.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ..pre-removal script assumes hyperestraier runs, and fails, stalling update.
Date: Mon, 15 May 2006 16:26:22 +0200
Package: hyperestraier
Version: 1.2.3-1
Severity: important


...how it fails:
arnt@a45:/tmp $ cat hyperestraier.rpt
a45:~# aptitude clean ;aptitude update ;aptitude ;aptitude clean
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
Ign file: apt-build Release.gpg
Get:1 http://192.168.1.111 unstable Release.gpg [189B]
Hit http://192.168.1.111 unstable Release
Get:2 file: apt-build Release [89B]
Ign file: apt-build/main Packages
Hit http://192.168.1.111 unstable/main Packages/DiffIndex
Fetched 1B in 2s (0B/s)
Reading package lists... Done
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
Reading changelogs... Done
(Reading database ... 654232 files and directories currently installed.)
Preparing to replace hyperestraier 1.2.3-1 (using .../hyperestraier_1.2.5-1_i386.deb) ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: error processing /var/cache/apt/archives/hyperestraier_1.2.5-1_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.
Errors were encountered while processing:
 /var/cache/apt/archives/hyperestraier_1.2.5-1_i386.deb
Updating Debian Packages of System Configurations (dpsyco).
sync: invalid option -- c
Try `sync --help' for more information.
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Press return to continue.

Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
a45:~# dpkg --abort-after 666 -D 2000 -D 1000 -D 4000 --log=/tmp/hyperestraier.drivel  --force-all,depends-version,depends,confnew,confmiss,conflicts,remove-reinstreq,remove-essential --purge hyperestraier
(Reading database ... 654232 files and directories currently installed.)
Removing hyperestraier ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: error processing hyperestraier (--purge):
subprocess pre-removal script returned error exit status 1
Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.
Errors were encountered while processing:
hyperestraier
45:~# dpkg --abort-after 666 -D 2000 -D 1000 -D 4000 --log=/tmp/hyperestraier.drivel  --force-all,depends-version,depends,confnew,confmiss,conflicts,remove-reinstreq,remove-essential --purge hyperestraier
Reading database ... 654232 files and directories currently installed.)
Removing hyperestraier ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: error processing hyperestraier (--purge):
subprocess pre-removal script returned error exit status 1
Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.
Errors were encountered while processing:
 hyperestraier
a45:~# dpkg --abort-after 666 -D 2000 -D 1000 -D 4000 --log=/tmp/hyperestraier.drivel  --force-all,depends-version,depends,confnew,confmiss,conflicts,remove-reinstreq,remove-essential --purge hyperestraier
(Reading database ... 654232 files and directories currently installed.)
Removing hyperestraier ...
Purging configuration files for hyperestraier ...
a45:~#

...so I got fed up:
arnt@a45:/tmp $ cat hyperestraier.dpkg
dpkg --abort-after 666 -D 2000 -D 1000 -D 4000 --log=/tmp/hyperestraier.drivel  --force-all,depends-version,depends,confnew,confmiss,conflicts,remove-reinstreq,remove-essential --purge hyperestraier
arnt@a45:/tmp $ 

a45:/var/www# mcedit /var/lib/dpkg/info/hyperestraier.prerm
Commented out _everything_ and added "exit 0".  ;o)

...and it worked for me:
a45:/var/www# cat /var/lib/dpkg/info/hyperestraier.prerm
cat: /var/lib/dpkg/info/hyperestraier.prerm: No such file or directory
a45:/var/www#                                                         

arnt@a45:/tmp $ cat hyperestraier.drivel
2006-05-15 15:58:11 status installed hyperestraier 1.2.3-1
2006-05-15 15:59:10 remove hyperestraier 1.2.3-1 1.2.5-1
2006-05-15 15:59:10 status half-configured hyperestraier 1.2.3-1
2006-05-15 15:59:11 status installed hyperestraier 1.2.3-1
2006-05-15 16:05:49 status installed hyperestraier 1.2.3-1
2006-05-15 16:06:22 remove hyperestraier 1.2.3-1 1.2.5-1
2006-05-15 16:06:22 status half-configured hyperestraier 1.2.3-1
2006-05-15 16:06:23 status installed hyperestraier 1.2.3-1
2006-05-15 16:07:40 status installed hyperestraier 1.2.3-1
2006-05-15 16:07:49 remove hyperestraier 1.2.3-1 1.2.5-1
2006-05-15 16:07:49 status half-configured hyperestraier 1.2.3-1
2006-05-15 16:07:50 status half-installed hyperestraier 1.2.3-1
2006-05-15 16:07:50 status config-files hyperestraier 1.2.3-1
2006-05-15 16:07:50 purge hyperestraier 1.2.3-1 1.2.5-1
2006-05-15 16:07:50 status config-files hyperestraier 1.2.3-1
2006-05-15 16:07:50 status config-files hyperestraier 1.2.3-1
2006-05-15 16:07:50 status config-files hyperestraier 1.2.3-1
2006-05-15 16:07:51 status config-files hyperestraier 1.2.3-1
2006-05-15 16:07:51 status config-files hyperestraier 1.2.3-1
2006-05-15 16:07:51 status not-installed hyperestraier <none>
arnt@a45:/tmp $



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-486
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)




Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367374; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #10 received at 367374@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 367374@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Causes hyperestraier to not be upgradeable; upgrading to RC
Date: Fri, 21 Jul 2006 23:08:53 -0700
severity 367374 serious
thanks

This causes hyperestraier to not be upgradeable if you're not running
estmaster; upgrading to RC.


Don Armstrong

-- 
"Ban cryptography! Yes. Let's also ban pencils, pens and paper, since
criminals can use them to draw plans of the joint they are casing or
even, god forbid, create one time pads to pass uncrackable codes to
each other. Ban open spaces since criminals could use them to converse
with each other out of earshot of the police. Let's ban flags since
they could be used to pass secret messages in semaphore. In fact let's
just ban all forms of verbal and non-verbal communication -- let's see
those criminals make plans now!"

http://www.donarmstrong.com              http://rzlab.ucr.edu



Severity set to `serious' from `important' Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Fumitoshi UKAI <ukai@debian.or.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arnt Karlsen <arnt@c2i.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 367374-close@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: 367374-close@bugs.debian.org
Subject: Bug#367374: fixed in hyperestraier 1.3.3-1
Date: Sat, 22 Jul 2006 17:17:18 -0700
Source: hyperestraier
Source-Version: 1.3.3-1

We believe that the bug you reported is fixed in the latest version of
hyperestraier, which is due to be installed in the Debian FTP archive:

hyperestraier_1.3.3-1.diff.gz
  to pool/main/h/hyperestraier/hyperestraier_1.3.3-1.diff.gz
hyperestraier_1.3.3-1.dsc
  to pool/main/h/hyperestraier/hyperestraier_1.3.3-1.dsc
hyperestraier_1.3.3-1_i386.deb
  to pool/main/h/hyperestraier/hyperestraier_1.3.3-1_i386.deb
hyperestraier_1.3.3.orig.tar.gz
  to pool/main/h/hyperestraier/hyperestraier_1.3.3.orig.tar.gz
libestraier-dev_1.3.3-1_i386.deb
  to pool/main/h/hyperestraier/libestraier-dev_1.3.3-1_i386.deb
libestraier-java_1.3.3-1_i386.deb
  to pool/main/h/hyperestraier/libestraier-java_1.3.3-1_i386.deb
libestraier-ruby1.8_1.3.3-1_i386.deb
  to pool/main/h/hyperestraier/libestraier-ruby1.8_1.3.3-1_i386.deb
libestraier8_1.3.3-1_i386.deb
  to pool/main/h/hyperestraier/libestraier8_1.3.3-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367374@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fumitoshi UKAI <ukai@debian.or.jp> (supplier of updated hyperestraier package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Jul 2006 08:27:40 +0900
Source: hyperestraier
Binary: hyperestraier libestraier-java libestraier8 libestraier-dev libestraier-ruby1.8
Architecture: source i386
Version: 1.3.3-1
Distribution: unstable
Urgency: high
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Changed-By: Fumitoshi UKAI <ukai@debian.or.jp>
Description: 
 hyperestraier - a full-text search system for communities
 libestraier-dev - a full-text search system Libraries [development]
 libestraier-java - Hyper Estraier Node API Libraries for Java
 libestraier-ruby1.8 - Hyper Estraier Node API Libraries for Ruby
 libestraier8 - a full-text search system Libraries [runtime]
Closes: 367374 368906 376897 377743 379060
Changes: 
 hyperestraier (1.3.3-1) unstable; urgency=high
 .
   * New upstream release
     fix CVE-2006-3671: cross-site request forgery
     closes: Bug#379060
     new bindaddr configuration parameter in _conf
     closes: Bug#368906
   * debian/hyperestraier.init: fix to exit successfully when NO_START=1
     closes: Bug#367374, Bug#377743
   * debia/control: remove pphtml from Recommends, since it is not available
       any more.
     closes: Bug#376897
Files: 
 bcf3035e63a7429658c83fb4be12a9b3 992 text optional hyperestraier_1.3.3-1.dsc
 d2c544f48b8b92a62d7028c68736ce40 899649 text optional hyperestraier_1.3.3.orig.tar.gz
 8a4c8dbd95a9484b1a196031f23ff276 34147 text optional hyperestraier_1.3.3-1.diff.gz
 3ee16bf9976e904669eeec5d23467c96 389338 text optional hyperestraier_1.3.3-1_i386.deb
 2a946ab20b328ace68af322397a1f565 94934 text optional libestraier8_1.3.3-1_i386.deb
 373e1070b74f406f78f287e7421f9052 134166 text optional libestraier-dev_1.3.3-1_i386.deb
 fc667a3fa040c5908bfd09309966f4b3 78784 text optional libestraier-ruby1.8_1.3.3-1_i386.deb
 6f500b73437672b2d35b89c96f4b28e7 92980 libs optional libestraier-java_1.3.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEwrvj9D5yZjzIjAkRAi0bAJ9ssujUMTw7ZaTS17glgqGNQiOQ+wCgtpS6
sVqaCEHywSEXDtUF52iiyMg=
=arX5
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367374; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #22 received at 367374@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: control@bugs.debian.org, 367374@bugs.debian.org
Subject: Upgrade still fails due to estmaster not running
Date: Sun, 06 Aug 2006 11:06:53 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reopen 367374
thanks

Hi,

While "/etc/init.d/hyperestraier start" no longer exits with error code
when NO_START=1, "/etc/init.d/hyperestrayer stop" still fails, causing
upgrade breakage:

===============================================================
Preparing to replace hyperestraier 1.2.3-1 (using
.../hyperestraier_1.3.5-1_amd64.deb) ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: error processing
/var/cache/apt/archives/hyperestraier_1.3.5-1_amd64.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
Not starting estmaster - edit /etc/default/hyperestraier and change
NO_START to be 0.
Errors were encountered while processing:
 /var/cache/apt/archives/hyperestraier_1.3.5-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
================================================================


Thanks for considering,
dam

- --
Damyan Ivanov                           Modular Software Systems
dam@modsoftsys.com
phone +359(2)928-2611, 929-3993              fax +359(2)920-0994
mobile +359(88)856-6067             dam@jabber.minus273.org/Gaim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFE1aMdHqjlqpcl9jsRAs5wAJ9+FQzhrFbzL/OcqoIEwLfVyD9h6gCgnitX
dnsyIwY4fg2djk0fgXIjlTg=
=zjH6
-----END PGP SIGNATURE-----



Bug reopened, originator not changed. Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367374; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #29 received at 367374@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: control@bugs.debian.org, 367374@bugs.debian.org
Subject: No RC bug
Date: Sat, 16 Sep 2006 13:44:29 +0200
severity 367374 minor
thanks

This is not release critical because there simply is no update possible
for stable users. And once the latest version makes it into etch older
versions are no longer available.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Severity set to `minor' from `serious' Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367374; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #36 received at 367374@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Meskes <meskes@debian.org>, 367374@bugs.debian.org
Subject: Re: Bug#367374: No RC bug
Date: Sat, 16 Sep 2006 13:56:52 -0700
severity 367374 serious
thanks

On Sat, Sep 16, 2006 at 01:44:29PM +0200, Michael Meskes wrote:
> severity 367374 minor
> thanks

> This is not release critical because there simply is no update possible
> for stable users. And once the latest version makes it into etch older
> versions are no longer available.

Is the script fixed in the new version of the package?  The original report
showed:

dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: error processing
/var/cache/apt/archives/hyperestraier_1.2.5-1_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1

So either the new package fixes this problem and therefore the bug should be
marked as closed in that version, or it's still present and the bug is
serious.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Severity set to `serious' from `minor' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367374; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #43 received at 367374@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 367374@bugs.debian.org
Subject: Re: Bug#367374: No RC bug
Date: Sun, 17 Sep 2006 10:29:53 +0200
On Sat, Sep 16, 2006 at 01:56:52PM -0700, Steve Langasek wrote:
> Is the script fixed in the new version of the package?  The original report
> showed:
> 
> dpkg: warning - old pre-removal script returned error exit status 1
> dpkg - trying script from the new package instead ...
> Stopping hyperestraier: estmaster: not running
> invoke-rc.d: initscript hyperestraier, action "stop" failed.
> dpkg: error processing
> /var/cache/apt/archives/hyperestraier_1.2.5-1_i386.deb (--unpack):
>  subprocess new pre-removal script returned error exit status 1
> 
> So either the new package fixes this problem and therefore the bug should be
> marked as closed in that version, or it's still present and the bug is
> serious.

From readinf the bug report and teh changelog I would say this bug is no
longer present in the package. My own tests also ran well. But the
upgrade from an old and buggy version certainly doesn't work because the
old package still has the buggy init script. IMO fixinf this by changing
the init scrip from the new preinst creates more hassle than it's worth.
After all the 1.2.* package series shouldn't exist anymore. They are
still there on some archs, but that's not related to this bug and these
archs should become up-to-date anyway.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Bug marked as found in version 1.0.6-1. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arnt Karlsen <arnt@c2i.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 367374-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Michael Meskes <meskes@debian.org>, 367374-done@bugs.debian.org
Subject: Re: Bug#367374: No RC bug
Date: Sun, 17 Sep 2006 02:51:16 -0700
Version: 1.4.2-1
found 367374 1.0.6-1
thanks

On Sun, Sep 17, 2006 at 10:29:53AM +0200, Michael Meskes wrote:
> On Sat, Sep 16, 2006 at 01:56:52PM -0700, Steve Langasek wrote:
> > Is the script fixed in the new version of the package?  The original report
> > showed:

> > dpkg: warning - old pre-removal script returned error exit status 1
> > dpkg - trying script from the new package instead ...
> > Stopping hyperestraier: estmaster: not running
> > invoke-rc.d: initscript hyperestraier, action "stop" failed.
> > dpkg: error processing
> > /var/cache/apt/archives/hyperestraier_1.2.5-1_i386.deb (--unpack):
> >  subprocess new pre-removal script returned error exit status 1

> > So either the new package fixes this problem and therefore the bug should be
> > marked as closed in that version, or it's still present and the bug is
> > serious.

> >From readinf the bug report and teh changelog I would say this bug is no
> longer present in the package. My own tests also ran well. But the
> upgrade from an old and buggy version certainly doesn't work because the
> old package still has the buggy init script. IMO fixinf this by changing
> the init scrip from the new preinst creates more hassle than it's worth.
> After all the 1.2.* package series shouldn't exist anymore. They are
> still there on some archs, but that's not related to this bug and these
> archs should become up-to-date anyway.

According to the bug log, the bug was reopened after being closed with the
complaint that the upgrade would still fail if run when hyperestraier had
been manually stopped, or if it was stopped because not configured to run in
the current runlevel.  This problem was also fixed in revision 1.4.2-1, for
bug #386355.

Since hyperestraier was not in sarge, this does make upgrade problems from
previous, unreleased versions of the package non-RC.  However, the version
of hyperestraier currently in testing, 1.0.6-1, also contains this bug in
its init script -- since the new version of hyperestraier is currently stuck
behind qdbm, we need to be able to track this bug at least until 1.4.3-1 can
reach testing (or 1.0.6-1 is removed from testing).

So yes, working around bugs in old package versions on upgrade is probably a
'minor' bug, but in order to track the serious bug, I'm leaving this
particular bug report at severity: serious and marking it appropriately with
version tracking information.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Message #51 received at 367374-done@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: 367374-done@bugs.debian.org
Subject: Re: Bug#367374: No RC bug
Date: Thu, 21 Sep 2006 01:00:30 +0900
At Sat, 16 Sep 2006 13:56:52 -0700,
Steve Langasek wrote:
> 
> severity 367374 serious
> thanks
> 
> On Sat, Sep 16, 2006 at 01:44:29PM +0200, Michael Meskes wrote:
> > severity 367374 minor
> > thanks
> 
> > This is not release critical because there simply is no update possible
> > for stable users. And once the latest version makes it into etch older
> > versions are no longer available.
> 
> Is the script fixed in the new version of the package?  The original report
> showed:
> 
> dpkg: warning - old pre-removal script returned error exit status 1
> dpkg - trying script from the new package instead ...
> Stopping hyperestraier: estmaster: not running
> invoke-rc.d: initscript hyperestraier, action "stop" failed.
> dpkg: error processing
> /var/cache/apt/archives/hyperestraier_1.2.5-1_i386.deb (--unpack):
>  subprocess new pre-removal script returned error exit status 1
> 
> So either the new package fixes this problem and therefore the bug should be
> marked as closed in that version, or it's still present and the bug is
> serious.

The new package fixes this problem, so I'll close this bug.

Thanks,
Fumitoshi UKAI



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:41:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:34:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.